Update eventmachine to 1.0.4. (PR #3053)

This will allow the gem to be installed on Ruby 2.2.

GitHub

You’ve signed the CLA, tgxworld. Thank you! This pull request is ready for review.